Plesk\backup\Agent\Schema\Backup\Spamassassin\SpamassassinAType:
    properties:
        status:
            expose: true
            access_type: public_method
            serialized_name: status
            accessor:
                getter: getStatus
                setter: setStatus
            xml_attribute: true
            type: string
        serverConf:
            expose: true
            access_type: public_method
            serialized_name: server-conf
            accessor:
                getter: getServerConf
                setter: setServerConf
            xml_attribute: true
            type: string
        personalConf:
            expose: true
            access_type: public_method
            serialized_name: personal-conf
            accessor:
                getter: getPersonalConf
                setter: setPersonalConf
            xml_attribute: true
            type: string
        hits:
            expose: true
            access_type: public_method
            serialized_name: hits
            accessor:
                getter: getHits
                setter: setHits
            xml_attribute: true
            type: string
        action:
            expose: true
            access_type: public_method
            serialized_name: action
            accessor:
                getter: getAction
                setter: setAction
            xml_attribute: true
            type: string
        modifySubj:
            expose: true
            access_type: public_method
            serialized_name: modify-subj
            accessor:
                getter: getModifySubj
                setter: setModifySubj
            xml_attribute: true
            type: string
        subjText:
            expose: true
            access_type: public_method
            serialized_name: subj-text
            accessor:
                getter: getSubjText
                setter: setSubjText
            xml_attribute: true
            type: string
        alertText:
            expose: true
            access_type: public_method
            serialized_name: alert-text
            accessor:
                getter: getAlertText
                setter: setAlertText
            xml_attribute: true
            type: string
        maxMail:
            expose: true
            access_type: public_method
            serialized_name: max-mail
            accessor:
                getter: getMaxMail
                setter: setMaxMail
            xml_attribute: true
            type: string
        maxSpamThreads:
            expose: true
            access_type: public_method
            serialized_name: max-spam-threads
            accessor:
                getter: getMaxSpamThreads
                setter: setMaxSpamThreads
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        blacklistMember:
            expose: true
            access_type: public_method
            serialized_name: blacklist-member
            xml_element:
                cdata: false
            accessor:
                getter: getBlacklistMember
                setter: setBlacklistMember
            xml_list:
                inline: true
                entry_name: blacklist-member
            type: array<string>
        whitelistMember:
            expose: true
            access_type: public_method
            serialized_name: whitelist-member
            xml_element:
                cdata: false
            accessor:
                getter: getWhitelistMember
                setter: setWhitelistMember
            xml_list:
                inline: true
                entry_name: whitelist-member
            type: array<string>
        unblacklistMember:
            expose: true
            access_type: public_method
            serialized_name: unblacklist-member
            xml_element:
                cdata: false
            accessor:
                getter: getUnblacklistMember
                setter: setUnblacklistMember
            xml_list:
                inline: true
                entry_name: unblacklist-member
            type: array<string>
        unwhitelistMember:
            expose: true
            access_type: public_method
            serialized_name: unwhitelist-member
            xml_element:
                cdata: false
            accessor:
                getter: getUnwhitelistMember
                setter: setUnwhitelistMember
            xml_list:
                inline: true
                entry_name: unwhitelist-member
            type: array<string>
        trustedLocale:
            expose: true
            access_type: public_method
            serialized_name: trusted-locale
            xml_element:
                cdata: false
            accessor:
                getter: getTrustedLocale
                setter: setTrustedLocale
            xml_list:
                inline: true
                entry_name: trusted-locale
            type: array<string>
        trustedLanguage:
            expose: true
            access_type: public_method
            serialized_name: trusted-language
            xml_element:
                cdata: false
            accessor:
                getter: getTrustedLanguage
                setter: setTrustedLanguage
            xml_list:
                inline: true
                entry_name: trusted-language
            type: array<string>
        trustedNetwork:
            expose: true
            access_type: public_method
            serialized_name: trusted-network
            xml_element:
                cdata: false
            accessor:
                getter: getTrustedNetwork
                setter: setTrustedNetwork
            xml_list:
                inline: true
                entry_name: trusted-network
            type: array<string>
